kafka消费者API

半兽人 发表于: 2016-05-23   最后更新时间: 2017-01-09  
  •   85 订阅,7472 游览

随着0.9.0版本,我们已经增加了一个新的Java消费者替换我们现有的基于zookeeper的高级和低级消费者。这个客户端还是测试版的质量。为了确保用户平滑升级,我们仍然维护旧的0.8版本的消费者客户端继续在0.9集群上工作,两个老的0.8 API的消费者( 高级消费者低级消费者)。

这个新的消费API,清除了0.8版本的高版本和低版本消费者之间的区别,你可以通过下面的maven,引入依赖到你的客户端。

<dependency>
      <groupId>org.apache.kafka</groupId>
      <artifactId>kafka-clients</artifactId>
      <version>0.10.1.0</version>
</dependency>

如何使用新的消费者,请点击这里







发表于: 1年前   最后更新时间: 5月前   游览量:7472
上一条: kafka生产者客户端(0.10.1.1API)
下一条: kafka消费者客户端(0.10.0.1API)
评论…

  • 评论…
    • in this conversation
      提问